# eric4.QScintilla.Lexers.LexerVHDL

Module implementing a VHDL lexer with some additional methods.

### Classes

LexerVHDL | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerVHDL

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerVHDL, Lexer

### Methods

LexerVHDL | Constructor
initProperties | Public slot to initialize the properties.

#### LexerVHDL (Constructor)

LexerVHDL(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerVHDL.initProperties

initProperties()

Public slot to initialize the properties.

Up